Uptimeify Docs

IMAP/POP Monitor Check Historie abrufen

Gibt die letzten Check-Ergebnisse für den IMAP/POP Monitor zurück.

GET /api/imap-pop-monitors/:imapPopMonitorPublicId/check-history

Authentifizierung

Erfordert eine gültige Session.

  • Header: Authorization: Bearer <token>

Parameter

  • imapPopMonitorPublicId (Pfad, erforderlich): Öffentliche UUID des IMAP/POP Monitors.
  • limit (Query, optional): Maximale Anzahl Ergebnisse (Default: 50, Max: 200).

cURL

curl -X GET "https://YOUR_DOMAIN/api/imap-pop-monitors/66666666-6666-4666-8666-666666666666/check-history?limit=50" \
  -H "Authorization: Bearer $TOKEN"

Response

{
  "data": [
    {
      "id": 123,
      "status": "success",
      "errorMessage": null,
      "warningMessage": null,
      "timingImapPop": 142,
      "diagnostics": { "message": "IMAP connection successful" },
      "checkedAt": "2026-02-26T12:00:00.000Z",
      "locationId": 1,
      "locationName": "Frankfurt",
      "locationCode": "fra"
    }
  ]
}

Errors

  • 400 IMAP/POP Monitor Public ID (UUID) erforderlich
  • 401 Unauthorized
  • 403 Forbidden
  • 404 IMAP/POP monitor not found

Auf dieser Seite